Skip to main content
GET
/
asset_platforms
Asset Platforms List
curl --request GET \
  --url https://api.coingecko.com/api/v3/asset_platforms \
  --header 'x-cg-demo-api-key: <api-key>'
[
  {
    "id": "solana",
    "chain_identifier": null,
    "name": "Solana",
    "shortname": "Solana",
    "native_coin_id": "solana",
    "image": {
      "thumb": "https://coin-images.coingecko.com/asset_platforms/images/5/thumb/solana.png?1706606708",
      "small": "https://coin-images.coingecko.com/asset_platforms/images/5/small/solana.png?1706606708",
      "large": "https://coin-images.coingecko.com/asset_platforms/images/5/large/solana.png?1706606708"
    }
  },
  {
    "id": "flow-evm",
    "chain_identifier": 747,
    "name": "Flow EVM",
    "shortname": "",
    "native_coin_id": "flow",
    "image": {
      "thumb": "https://coin-images.coingecko.com/asset_platforms/images/22173/thumb/flow.jpg?1727072603",
      "small": "https://coin-images.coingecko.com/asset_platforms/images/22173/small/flow.jpg?1727072603",
      "large": "https://coin-images.coingecko.com/asset_platforms/images/22173/large/flow.jpg?1727072603"
    }
  }
]

Notes

  • Use this endpoint to get asset platform IDs for other endpoints that require an id parameter (asset platform).
  • Use filter=nft to get only NFT-supported asset platforms.

SDK Examples

const response = await client.assetPlatforms.get();

console.log(JSON.stringify(response, null, 2));

Authorizations

x-cg-demo-api-key
string
header
required

Query Parameters

filter
enum<string>

Apply relevant filters to results.

Available options:
nft

Response

200 - application/json

List of asset platforms

id
string
required

Asset platform ID

chain_identifier
number | null
required

Chainlist's chain ID

name
string
required

Chain name

shortname
string
required

Chain shortname

native_coin_id
string | null
required

Chain native coin ID

image
object
required

Asset platform image URLs